package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * CorrectSimQuota
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class CorrectSimQuota   {
  @JsonProperty("data")
  private Float data;

  @JsonProperty("sms")
  private Integer sms;

  public CorrectSimQuota data(Float data) {
    this.data = data;
    return this;
  }

  /**
   * The amount of data usage(KB) in current billing cycle.
   * @return data
  */
  @ApiModelProperty(value = "The amount of data usage(KB) in current billing cycle.")


  public Float getData() {
    return data;
  }

  public void setData(Float data) {
    this.data = data;
  }

  public CorrectSimQuota sms(Integer sms) {
    this.sms = sms;
    return this;
  }

  /**
   * The amount of SMS in current billing cycle, valid date should be within the range of 0–100000.
   * @return sms
  */
  @ApiModelProperty(value = "The amount of SMS in current billing cycle, valid date should be within the range of 0–100000.")


  public Integer getSms() {
    return sms;
  }

  public void setSms(Integer sms) {
    this.sms = sms;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CorrectSimQuota correctSimQuota = (CorrectSimQuota) o;
    return Objects.equals(this.data, correctSimQuota.data) &&
        Objects.equals(this.sms, correctSimQuota.sms);
  }

  @Override
  public int hashCode() {
    return Objects.hash(data, sms);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CorrectSimQuota {\n");
    
    sb.append("    data: ").append(toIndentedString(data)).append("\n");
    sb.append("    sms: ").append(toIndentedString(sms)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

